---
- name: Collect all CLI test cases
  ansible.builtin.find:
    paths: "{{ role_path }}/tests/cli"
    patterns: "{{ testcase }}.yaml"
  register: test_cases
  delegate_to: localhost

- name: Set test_items
  ansible.builtin.set_fact:
    test_items: "{{ test_cases.files | map(attribute='path') | list }}"

- name: Run test cases (connection=network_cli)
  ansible.builtin.include_tasks: "{{ test_case_to_run }}"
  with_items: "{{ test_items }}"
  loop_control:
    loop_var: test_case_to_run
  tags: network_cli
